# ---------------------------------------------------------------------------
# L2JMODS - non-retail-like systems that have been integrated into the L2J project.
# Be warned that there may be no support for these mods beyond the original author's assistance.

# ---------------------------------------------------------------------------
# Champion mobs - Turn random mobs into Champions
# ---------------------------------------------------------------------------

# Enable/Disable Champion Mob System.
ChampionEnable = False

# Force Champion mobs to be passive?
# To leave champion mobs to default/Aggressive, set to False.
# To set all champion mobs to Passive, set True.
ChampionPassive = False

# % chance for a mob to became champion (0 to disable).
ChampionFrequency = 5

# Title of all Champion Mobs.
ChampionTitle = Champion

# Min and max levels allowed for a mob to be a Champion mob.
ChampionMinLevel = 20
ChampionMaxLevel = 70

# Hp multiplier for Champion mobs.
ChampionHp = 8

# Hp Regen Multiplier for Champion mobs.
ChampionHpRegen = 1.0

# Standard rewards multiplier for Champion mobs.
ChampionRewards = 8

# Adena & Seal Stone rewards multiplier for Champion mobs.
ChampionAdenasRewards = 1.0

# P. Attack and M. Attack bonus for Champion mobs.
ChampionAtk = 1.0

# Physical/Magical Attack Speed bonus for Champion mobs.
ChampionSpdAtk = 1.0

# Specified reward item ID
ChampionRewardItemID = 6393

# The amount of the specified reward a player will receive if they are awarded the item.
ChampionRewardItemQty = 1

# % Chance to obtain a specified reward item from a higher level Champion mob.
# Default: 0
ChampionRewardLowerLvlItemChance = 0

# % Chance to obtain a specified reward item from a lower level Champion mob.
# Default: 0
ChampionRewardHigherLvlItemChance = 0

# Do you want to enable the vitality calculation when killing champion mobs?
# Be aware that it can lead to huge unbalance on your server, your rate for that mob would
# then be "mobXP x serverRate x vitalityRate x championXpRate
# Notes:
#	Works only if EnableVitality = True
# Default: False
ChampionEnableVitality = False

# Enable spawning of the champions in instances
# Default = False
ChampionEnableInInstances = False

# ---------------------------------------------------------------------------
# Wedding System (by evill33t)
# ---------------------------------------------------------------------------
# <u><b><font color="red">WARNING: this mod require custom NPC table support turned on !</font></b></u>
# CustomNpcTable = True in General.properties
# ---------------------------------------------------------------------------
# Wedding Manager ID: 50007
# 
# First part - "Engagement" 
# 1) Target the player that you want to make a couple with.
# 2) Use the voice command ".engage nameofyourpartner" then press enter.
# 3) If the target player has you on listed as a friend (ie. you are in each other's friends list) a popup will appear with an engagement request along with a system message that you want to be engaged with him/her.
# 4) If the target player accepts the engagement invitation, you will be engaged.
# 
# Second part - "Marriage" 
# 1) Once two players are engaged, they can speak to Andromeda, the Wedding Priest in the Hot Springs Guild House (Goddard Area).
#    (You may need Formal Wear and Adena to pay wedding fees!)
# 2) Each player needs to speak to the NPC and make the request to be married.
# 3) Once done, fireworks will display and the two players will be married.
# 
# Afterwards you can use the voice command ".gotolove nameofyourpartner" to teleport to your partner if you're married (there may also be a fee which can be specified below)
# 
# If you want to cancel your Engagement/Marriage, use the voice command ".divorce nameofyourpartner".
# 
# If you're married you have to pay a specified % of your adena to your partner.
# 
# If a player attempts to become engaged to another player while married they may suffer a penalty if it's enabled below.
# ---------------------------------------------------------------------------
# Enable/Disable Wedding System
AllowWedding = False

# Amount of Adena required to get married
WeddingPrice = 250000000

# Enable/Disable punishing of players who attempt to be engaged to other players while married.
WeddingPunishInfidelity = True

# Enable/Disable teleport function for married couples.
WeddingTeleport = True

# Amount of Adena required to teleport to spouse.
WeddingTeleportPrice = 50000

# Time before character is teleported after using the skill.
WeddingTeleportDuration = 60

# Enable/Disable same sex marriages.
WeddingAllowSameSex = False

# Require players to wear formal wear to be married?
WeddingFormalWear = True

# Amount of Adena (%) a player must pay to the other to get divorced.
WeddingDivorceCosts = 20


# ---------------------------------------------------------------------------
# Team vs. Team Event Engine (by FBIagent)
# ---------------------------------------------------------------------------

# <u><b><font color="red">WARNING: this mod require custom NPC table support turned on !</font></b></u>
# CustomNpcTable = True in General.properties
# ---------------------------------------------------------------------------
# Enable/Disable TvTEvent System
# Default: False
TvTEventEnabled = False

# TvT in instance
# Default: False
TvTEventInInstance = False

# Name of the instance file for TvT
# Default: coliseum.xml
TvTEventInstanceFile = coliseum.xml

# Times TvT will occur (24h format).
# Default: 9:00,15:00,21:00,3:00
TvTEventInterval = 9:00,15:00,21:00,3:00

# Registration timer from start of event (in minutes).
# Default: 30
TvTEventParticipationTime = 30

# Event running time (in minutes).
# Default: 20
TvTEventRunningTime = 20

# TvT Event NPC (create a custom npc of type L2TvTEventNpc).
# Default: 70010
TvTEventParticipationNpcId = 70010

# TvT Event Participation Fee (itemId, number). Fee is not returned.
# Example: 57,100000
# Default: 0,0
TvTEventParticipationFee = 0,0

# Location for TvTEvent NPC to spawn in form x,y,z[,heading]
# Default: 83425,148585,-3406
TvTEventParticipationNpcCoordinates = 83425,148585,-3406

# Minimum amount of players allowed in each team.
# Default: 1
TvTEventMinPlayersInTeams = 1
# Maximum amount of players allowed in each team.
# Default: 20
TvTEventMaxPlayersInTeams = 20

# Minimum level of players that may join the event.
# Default: 1
TvTEventMinPlayerLevel = 1
# Maximum level of players that may join the event.
# Default: 85
TvTEventMaxPlayerLevel = 85

# Respawn delay timer (in seconds).
# Default: 10
TvTEventRespawnTeleportDelay = 10
# Exit delay timer (in seconds).
# Default: 10
TvTEventStartLeaveTeleportDelay = 10

# First Team - Name, Start/Death x,y,z location.
TvTEventTeam1Name = Team1
TvTEventTeam1Coordinates = 148695,46725,-3414

# Second Team - Name, Start/Death x,y,z location.
TvTEventTeam2Name = Team2
TvTEventTeam2Coordinates = 149999,46728,-3414

# Reward for winning team.
# Example: TvTEventReward = itemId,amount;itemId,amount;itemId,amount
TvTEventReward = 57,100000

# TvTEvent Rules
TvTEventTargetTeamMembersAllowed = True
TvTEventScrollsAllowed = False
TvTEventPotionsAllowed = False
TvTEventSummonByItemAllowed = False

# Door ID's to open/close on start/end.
# Not supported in instance, use xml template for defining doors.
# Example: TvTDoorsToOpen = 1;2;3;4;5;6
TvTDoorsToOpen = 
TvTDoorsToClose = 

# Should both teams get reward if there's a tie?
TvTRewardTeamTie = False

# Participant's effects handling on teleport/death.
# Effects lasting through death never removed.
# 0 - always remove all effects.
# 1 - remove all effects only during port to event (noblesse blessing can be used)
# 2 - never remove any effect
# Default: 0
TvTEventEffectsRemoval = 0

# Fighter-class participants will be buffed with those buffs each respawn
# Format: skill1Id,skill1Level;skill2Id,skill2Level...
# Example: 1504,1;1501,1;1502,1;1499,1
TvTEventFighterBuffs =

# Mage-class participants will be buffed with those buffs each respawn
# Format: skill1Id,skill1Level;skill2Id,skill2Level...
# Example: 1504,1;1500,1;1501,1;1085,3
TvTEventMageBuffs =

# Maximum number of allowed participants per IP address (dualbox check)
# Default: 0 (no limits)
TvTEventMaxParticipantsPerIP = 0

# Voiced command (.tvt) working during TVT event to get information about event status
TvTAllowVoicedInfoCommand = false


# ---------------------------------------------------------------------------
# L2J Banking System
# ---------------------------------------------------------------------------

# Enable/Disable Banking System
BankingEnabled = False

# Amount of Goldbars a player gets when they use the ".deposit" command. Also the same amount they will lose with ".withdraw".
BankingGoldbarCount = 1

# Amount of Adena a player gets when they use the ".withdraw" command. Also the same amount they will lose with ".deposit".
BankingAdenaCount = 500000000


# ---------------------------------------------------------------------------
# Warehouse Sorting
# Shows Withdraw Window sorted by ItemType (Armor/Weapon/Spellbook....)
# ---------------------------------------------------------------------------

EnableWarehouseSortingClan = False
EnableWarehouseSortingPrivate = False


# ---------------------------------------------------------------------------
# Offline trade/craft
# ---------------------------------------------------------------------------

# Option to enable or disable offline trade feature.
# Enable -> true, Disable -> false
OfflineTradeEnable = False

# Option to enable or disable offline craft feature.
# Enable -> true, Disable -> false
OfflineCraftEnable = False

# If set to True, off-line shops will be possible only peace zones.
# Default: False
OfflineModeInPeaceZone = False

# If set to True, players in off-line shop mode wont take any damage, thus they cannot be killed.
# Default: False
OfflineModeNoDamage = False

# If set to True, name color will be changed then entering offline mode
OfflineSetNameColor = False

# Color of the name in offline mode (if OfflineSetNameColor = True)
OfflineNameColor = 808080

# Allow fame for characters in offline mode
# Enable -> true, Disable -> false
OfflineFame = True

#Restore offline traders/crafters after restart/shutdown. Default: false.
RestoreOffliners = False

#Do not restore offline characters, after OfflineMaxDays days spent from first restore.
#Require server restart to disconnect expired shops.
#0 = disabled (always restore).
#Default: 10
OfflineMaxDays = 10 

#Disconnect shop after finished selling, buying.
#Default: True
OfflineDisconnectFinished = True

# ---------------------------------------------------------------------------
# Mana Drugs/Potions
# ---------------------------------------------------------------------------

# This option will enable core support for:
# Mana Drug (item ID 726), using skill ID 10000.
# Mana Potion (item ID 728), using skill ID 10001.
EnableManaPotionSupport = False


# ---------------------------------------------------------------------------
# Display Server Time
# ---------------------------------------------------------------------------

# This option will enable displaying of the local server time for /time command.
DisplayServerTime = False


# ---------------------------------------------------------------------------
# Welcome message
# ---------------------------------------------------------------------------

# Show screen welcome message on character login
# Default: False
ScreenWelcomeMessageEnable = False

# Screen welcome message text to show on character login if enabled
# ('#' for a new line, but message can have max 2 lines)
ScreenWelcomeMessageText = Welcome to L2J server!

# Show screen welcome message for x seconds when character log in to game if enabled
ScreenWelcomeMessageTime = 10


# ---------------------------------------------------------------------------
# AntiFeed
# ---------------------------------------------------------------------------

# This option will enable antifeed for pvp/pk/clanrep points.
# Default: False
AntiFeedEnable = False

# If set to True, kills from dualbox will not increase pvp/pk points
# and clan reputation will not be transferred.
# Default: True
AntiFeedDualbox = True

# If set to True, server will count disconnected (unable to determine ip address)
# as dualbox.
# Default: True
AntiFeedDisconnectedAsDualbox = True

# If character died faster than timeout - pvp/pk points for killer will not increase
# and clan reputation will not be transferred.
# Setting to 0 will disable this feature.
# Default: 120 seconds.
AntiFeedInterval = 120


# ---------------------------------------------------------------------------
# Pvp/pk Announce
# ---------------------------------------------------------------------------

# Default: False
AnnouncePkPvP = False

# Announce this as normal system message
# Default: True
AnnouncePkPvPNormalMessage = True

# PK message template
# variables: $killer, $target
AnnouncePkMsg = $killer has slaughtered $target

# Pvp message template
# variables: $killer, $target
AnnouncePvpMsg = $killer has defeated $target


# ---------------------------------------------------------------------------
# Chat Moderation
# ---------------------------------------------------------------------------

# This option will enable using of the voice commands .banchat and .unbanchat
# for players with corresponding access level (default: 7).
# Check access_levels.sql and admin_command_access_rights for details.
# Default: False
ChatAdmin = False


# ---------------------------------------------------------------------------
# Hellbound Status Voice Command
# ---------------------------------------------------------------------------

# This option will enable using of the voice commands .hellbound
# for retrieving information about current Hellbound level and trust.
# Default: False
HellboundStatus = False


# ---------------------------------------------------------------------------
# Multilingual support
# ---------------------------------------------------------------------------

# Enable or disable multilingual support.
# Default: False
MultiLangEnable = False

# Default language, if not defined.
# Default: en
MultiLangDefault = en

# List of allowed languages, semicolon separated.
# Default: en;ru
MultiLangAllowed = en;ru

# Enable or disable voice command .lang for changing languages on the fly.
# Default: True
MultiLangVoiceCommand = True

# Enable or disable multilingual SystemMessages support.
# Default: False
MultiLangSystemMessageEnable = False

# List of allowed languages for SystemMessages, semicolon separated.
# Default: 
MultiLangSystemMessageAllowed = 

# Enable or disable multilingual NpcStrings support.
# Default: False
MultiLangNpcStringEnable = False

# List of allowed languages for NpcStrings, semicolon separated.
# Default: 
MultiLangNpcStringAllowed = 


# ---------------------------------------------------------------------------
# Walker/Bot protection
# ---------------------------------------------------------------------------

# Basic protection against L2Walker.
# Default: False
L2WalkerProtection = False


# ---------------------------------------------------------------------------
# Debug enable/disable voice command
# ---------------------------------------------------------------------------

# This option will enable voice command .debug allowing players
# to turn on/off debugging on self only.
# (admin command //debug can enable debugging on any character)
# Use admin_command_access_rights table for defining access rights.
# Default: False
DebugVoiceCommand = False


# ---------------------------------------------------------------------------
# Dualbox Check
# ---------------------------------------------------------------------------

# Maximum number of players per IP address allowed to enter game.
# Default: 0 (unlimited)
DualboxCheckMaxPlayersPerIP = 0

# Maximum number of players per IP address allowed to participate in olympiad.
# Default: 0 (unlimited)
DualboxCheckMaxOlympiadParticipantsPerIP = 0

# Maximum number of players per IP address allowed to participate in events using L2J Event Engine (//event).
# Default: 0 (unlimited)
DualboxCheckMaxL2EventParticipantsPerIP = 0

# Whitelist of the addresses for dualbox checks.
# Format: Address1,Number1;Address2,Number2...
# Network address can be number (127.0.0.1) or symbolic (localhost) formats.
# Additional connection number added to the global limits for this address.
# For example, if number of TvT event participants per IP address set to the 1 (no dualbox)
# and whitelist contains "l2jserver.com,2" then number of allowed participants from l2jserver.com
# will be 1+2=3. Use 0 or negative value for unlimited number of connections.
# Default: 127.0.0.1,0 (no limits from localhost)
DualboxCheckWhitelist = 127.0.0.1,0

# ---------------------------------------------------------------------------
# Password Change
# ---------------------------------------------------------------------------

# Enables .changepassword voiced command which allows the players to change their account's password ingame.
# Default: False
AllowChangePassword = False